//
//  SLPageModel.h
//  SLAiELTS
//
//  Created by Gusont on 2023/3/9.
//

#import <Foundation/Foundation.h>
#import "SLChatListModel.h"

@class SLPageModelDetail;
NS_ASSUME_NONNULL_BEGIN

@interface SLPageModel : NSObject

@property (nonatomic, strong) NSString *itemTitel;

@property (nonatomic, strong) NSArray<SLPageModelDetail *> *modelDetails;

@property (nonatomic, strong) SLChatListModel *chatListModel;

@end

@interface SLPageModelDetail : NSObject

@property (nonatomic, strong) NSString *title;

@property (nonatomic, strong) NSString *subTitle;

@property (nonatomic, strong) NSString *bgImage;

@property (nonatomic, strong) NSArray *segments;

@property (nonatomic, assign) BOOL canEdit;

+ (instancetype)initWithTitle:(NSString *)title
                      bgImage:(NSString *)bgImage;

+ (instancetype)initWithTitle:(NSString *)title
                     subTitle:(NSString *)subTitle;

+ (instancetype)initWithTitle:(NSString *)title
                     subTitle:(NSString *)subTitle
                      bgImage:(NSString *)bgImage;

+ (instancetype)initWithTitle:(NSString *)title
                     segments:(NSArray *)segments;

+ (instancetype)initWithTitle:(NSString *)title
                     subTitle:(NSString *)subTitle
                      canEdit:(BOOL )canEdit;
@end
NS_ASSUME_NONNULL_END
