//
//  YMIMMessageCollectionView.h
//  PCDBank
//
//  Created by Gusont on 2021/8/25.
//  Copyright © 2021 SLAiELTS. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "MessageModel.h"
#import "SLFriendsModel.h"

NS_ASSUME_NONNULL_BEGIN

typedef void(^SLMikeInputBroadcastBlock)(MessageModel *msgModel);

@interface YMIMMessageCollectionView : UIView

@property (nonatomic, strong) UICollectionView *messageCollectionView;

@property (nonatomic, assign) BOOL voiceStatus;

@property (nonatomic, assign) BOOL hasHint;

@property (nonatomic, copy) SLMikeInputBroadcastBlock broadcastBlock;

@property (nonatomic, strong) NSMutableArray<MessageModel *> *chatDataManager;

@property (nonatomic, strong) SLFriendsModel *friendModel;

- (void)appendMessage:(MessageModel *)message;

- (void)appendRequestMessage:(MessageModel *)message;

- (void)removeAllMessages;

- (void)scrollToBottom:(BOOL)animated;

- (CGFloat)getBotttomCellMaxY;

@end

NS_ASSUME_NONNULL_END
