//
//  RoleModel.h
//  SLAiELTS
//
//  Created by Gusont on 2023/2/28.
//

#import <Foundation/Foundation.h>

@class InterestModel;

NS_ASSUME_NONNULL_BEGIN

typedef enum : NSUInteger {
    SLRoleSex = 0,//性别
    SLRoleLanguage ,//语音
    SLRoleappearance ,//外貌
    SLRoleName ,//姓名
    SLRoleInterset ,//兴趣
    SLUserInfo ,//用户信息
} SLRoleModelType;

@interface RoleModel : NSObject

@property (nonatomic, strong) NSArray<InterestModel *> * interestModels;

@property (nonatomic, strong) NSString *userId;

/// 语音速度：0.5，1.0，1.5
@property (nonatomic, strong) NSString *speechRate;

/// 1英式，0美式
@property (nonatomic, strong) NSString *language;

@property (nonatomic, strong) NSString *eyeColor;

@property (nonatomic, strong) NSString *skinColor;

@property (nonatomic, strong) NSString *hairStyle;

@property (nonatomic, strong) NSString *hairColor;


@property (nonatomic, copy) NSString *aiName;

@property (nonatomic, copy) NSString *aiSex;

//用户信息
@property (nonatomic, copy) NSString *userHead;

@property (nonatomic, copy) NSString *userName;

@property (nonatomic, copy) NSString *birthday;

@property (nonatomic, copy) NSString *sex;

@property (nonatomic, copy) NSString *interests;


+ (NSDictionary *)roleModelDict;

+ (NSDictionary *)roleSpeedModelDict;

+ (NSDictionary *)roleLanuchModelDict;

@end

@interface RoleViewModel : RoleModel

@end

@interface InterestModel : NSObject

@property (nonatomic, strong) NSString *interestId;

@property (nonatomic, strong) NSString *interestName;

@property (nonatomic, assign) BOOL isSeleted;
@end

NS_ASSUME_NONNULL_END
